Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.env
Class URLResolver

    java.lang.Object
      org.apache.commons.scxml.env.URLResolver

All Implemented Interfaces:
  PathResolver, Serializable

public class URLResolver
extends Object
implements PathResolver, Serializable

A PathResolver implementation that resolves against a base URL.

See Also:
  `PathResolver`, Serialized Form

Constructor Summary
`URLResolver(URL baseURL)` Constructor.

Method Summary
`PathResolver` | `getResolver(String ctxPath)` Get a PathResolver rooted at this context sensitive path.
`String` | `resolvePath(String ctxPath)` Uses URL(URL, String) constructor to combine URL's.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLResolver

    public URLResolver(URL baseURL)

  Constructor.

Parameters:
  `baseURL` - The base URL to resolve against

Method Detail

### resolvePath

    public String resolvePath(String ctxPath)

  Uses URL(URL, String) constructor to combine URL's.

  Specified by:
    `resolvePath` in interface `PathResolver`
  Parameters:
    `ctxPath` - Context sensitive path, can be a relative URL
  Returns:
    Resolved path (an absolute URL) or `null`
  See Also:
    `PathResolver.resolvePath(java.lang.String)`

### getResolver

    public PathResolver getResolver(String ctxPath)

  Description copied from interface: `PathResolver`
  Get a PathResolver rooted at this context sensitive path.

  Specified by:
    `getResolver` in interface `PathResolver`
  Parameters:
    `ctxPath` - Context sensitive path, can be a relative URL
  Returns:
    Returns a new resolver rooted at ctxPath
  See Also:
    `PathResolver.getResolver(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.